require 'jaspion/miya/document'

module Jaspion
  module Miya
    class Android
      # Represents a UI xml layout
      class Document < Jaspion::Miya::Document
        # Nokogiri method specific for Android layout
        def start_element_namespace(name, _attrs = nil, _prefix = nil, _uri = nil, _ns = nil)
          unless name.nil?
            clazz = Jaspion::Miya::Android.const_get(name)
            @objects.push(clazz.new unless clazz.nil?
          end
        end
      end
    end
  end
end
